# Interface AssignmentTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface AssignmentTree extends ExpressionTree
A tree node for an assignment expression. For example:

      variable = expression

See Java Language Specification:
  15.26.1 Simple Assignment Operator =
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExpressionTree`
  `getExpression()`
  Returns the expression being assigned to the variable.
  `ExpressionTree`
  `getVariable()`
  Returns the variable being assigned to.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### getVariable

    ExpressionTree getVariable()
    Returns the variable being assigned to.
    Returns:
      the variable

  - ### getExpression

    ExpressionTree getExpression()
    Returns the expression being assigned to the variable.
    Returns:
      the expression